Public Member Functions | Public Attributes | List of all members
libvisio::ChunkHeader Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| ChunkHeader ()

## Public Attributes
unsigned | chunkType
unsigned | id
unsigned | list
unsigned | dataLength
unsigned short | level
unsigned char | unknown
unsigned | trailer

## Constructor & Destructor Documentation

## ◆ ChunkHeader()

libvisio::ChunkHeader::ChunkHeader | ( |  | ) |
| inline

## Member Data Documentation

## ◆ chunkType

unsigned libvisio::ChunkHeader::chunkType

Referenced by libvisio::VSD5Parser::handleChunkRecords().

## ◆ dataLength

unsigned libvisio::ChunkHeader::dataLength

Referenced by libvisio::VSD5Parser::handleChunkRecords().

## ◆ id

unsigned libvisio::ChunkHeader::id

Referenced by libvisio::VSD5Parser::handleChunkRecords().

## ◆ level

unsigned short libvisio::ChunkHeader::level

Referenced by libvisio::VSD5Parser::handleChunkRecords().

## ◆ list

unsigned libvisio::ChunkHeader::list

## ◆ trailer

unsigned libvisio::ChunkHeader::trailer

## ◆ unknown

unsigned char libvisio::ChunkHeader::unknown

The documentation for this struct was generated from the following file:

- VSDTypes.h